package com.miaxis.file.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 文件对象 file_info
 *
 * @author miaxis
 * @date 2021-01-22
 */
@Data
@TableName("file_info")
@ApiModel(value = "FileInfo", description = "文件对象 file_info")
public class FileInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    @TableId(value = "file_id")
    @ApiModelProperty(value = "自增id")
    private Long fileId;

    /** 顺序 */
    @Excel(name = "顺序")
    @TableField("seq")
    @ApiModelProperty(value = "顺序")
    private Long seq;

    /** 文件业务类型 */
    @Excel(name = "文件业务类型")
    @TableField("file_type")
    @ApiModelProperty(value = "文件业务类型")
    private String fileType;



    /** 文件url(访问地址) */
    @Excel(name = "文件url(访问地址)")
    @TableField("file_url")
    @ApiModelProperty(value = "文件url(访问地址)")
    private String fileUrl;

    /** 文件路径 */
    @Excel(name = "文件路径")
    @TableField("file_path")
    @ApiModelProperty(value = "文件路径")
    private String filePath;

    public void setFileId(Long fileId){
        this.fileId = fileId;
    }

    public Long getFileId(){
        return fileId;
    }
    public void setSeq(Long seq){
        this.seq = seq;
    }

    public Long getSeq(){
        return seq;
    }
    public void setFileUrl(String fileUrl){
        this.fileUrl = fileUrl;
    }

    public String getFileUrl(){
        return fileUrl;
    }
    public void setFilePath(String filePath){
        this.filePath = filePath;
    }

    public String getFilePath(){
        return filePath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fileId", getFileId())
            .append("seq", getSeq())
            .append("fileUrl", getFileUrl())
            .append("filePath", getFilePath())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
